\definecolor{rvwvcq}{rgb}{0.08235294117647059,0.396078431372549,0.7529411764705882}
        \begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1cm,y=1cm]
        \draw [color=gray,xstep=1cm,ystep=1cm] (-0.5,-0.5) grid (6.5,3.5);
        \draw[->,color=black] (-0.5,0.) -- (6.5,0.);
        \foreach \x in {1,2,3,4,5,6}
        \draw[shift={(\x,0)},color=black] (0pt,2pt) -- (0pt,-2pt) node[below] {\footnotesize $\x$};
        \draw[->,color=black] (0,-0.5) -- (0,3.5);
        \foreach \y in {1,2,3}
        \draw[shift={(0,\y)},color=black] (2pt,0pt) -- (-2pt,0pt) node[left] {\footnotesize $\y$};
        \draw[color=black] (0pt,-8pt) node[left] {\footnotesize $0$};
        \clip(-0.5,-0.5) rectangle (6.5,3.5);
        \draw[line width=1.5pt,color=rvwvcq,smooth,samples=100,domain=-10.6:10.6] plot(\x,{0-0.5*(\x)+3});
        \draw[color=rvwvcq] (-8.84,7.47) node {$f$};
        \end{tikzpicture}